Bforartists 1.0.0 is now a github branch and archived

4 posts / 0 new
Last post
Reiner's picture
administrator, developer
Offline
Joined: 07/25/2015 - 08:59
Bforartists 1.0.0 is now a github branch and archived

We have ended the official development at Bforartists 1 now. Well, there wasn't any changes for a pretty while. But Bforartists 1 is now an archived branch in the repository. And not longer the master. The name of this branch is bforartists_100_last.

This ends the Bforartists 1 line. All further code in the master is now to prepare and develop Bforartists 2.

The reason is that for Windows we are dependant at the precompiled Blender libs. And they have long removed the old Libs to compile it with VS 2013. Plus the libs for VS 2017, which worked at least until last week, are not compatible anymore with Bforartists 1 since of now. And so there is no way to compile Bforartists 1 anymore at Windows without to compile the libraries by yourself. A task for a life time ...

For users nothing changes. You can still download the binaries.

For self compilers: you cannot compile Bforartists 1.0.0 at Windows anymore . The precompiled libs to do so are not longer available. The code in the repository is now the code that we prepare for Bforartists 2. It compiles and works still fine. But it has already some flaws and bugs. And the mess will most probably even increase in the next weeks. This is the preparation to merge Blender 2.8 into Bforartists. So don't expect anything to work flawless from now on until we have really merged Blender 2.8 into our repository.

Kind regards

Reiner

up
1 user likes this.
Draise's picture
developer
Offline
Joined: 08/25/2015 - 15:42
Good to know.

Good to know.

up
0 users likes this.

-Draise

Draise's picture
developer
Offline
Joined: 08/25/2015 - 15:42
Just a question, if I want to

Just a question, if I want to do any mods to the 1.0.0 branch, the dependencies and Blender libraries have.. all changed no? How would you rebuild this branch?

up
0 users likes this.

-Draise

Reiner's picture
administrator, developer
Offline
Joined: 07/25/2015 - 08:59
You can't. The libs are gone 

You can't. The libs are gone :)

What we have is the current master. Still 2.79 based, but uses already the new libs.

Well, you could build the dependencies by yourself. And when everything else fails, i have the last libs still here. But this chapter is closed for public.

up
0 users likes this.

Free gamegraphics, Freeware Games http://www.reinerstilesets.de

Log in or register to post comments